From 4e20fa28654f3399da4dfb639f268fd5b1036a21 Mon Sep 17 00:00:00 2001
From: Brijesh Jadav <brijesh.jadav@ti.com>
Date: Mon, 14 Dec 2020 15:27:52 +0530
Subject: [PATCH 1/1] Fixed Bug in LDC node for replication

Signed-off-by: Brijesh Jadav <brijesh.jadav@ti.com>
---
 apps/basic_demos/app_multi_cam/app_ldc_module.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

diff --git a/apps/basic_demos/app_multi_cam/app_ldc_module.c b/apps/basic_demos/app_multi_cam/app_ldc_module.c
index c9b8213..80a8e6c 100755
--- a/apps/basic_demos/app_multi_cam/app_ldc_module.c
+++ b/apps/basic_demos/app_multi_cam/app_ldc_module.c
@@ -276,14 +276,6 @@ vx_status app_create_graph_ldc(vx_graph graph, LDCObj *ldcObj, vx_object_array i
                                        NULL, NULL,
                                        NULL, ldcObj->dcc_config, input_img,
                                        output_img, NULL);
-
-        status = vxGetStatus((vx_reference)ldcObj->node);
-        vxSetNodeTarget(ldcObj->node, VX_TARGET_STRING, TIVX_TARGET_VPAC_LDC1);
-        vxSetReferenceName((vx_reference)ldcObj->node, "ldc_node");
-
-        vx_bool replicate[] = { vx_false_e, vx_false_e, vx_false_e, vx_false_e, vx_false_e, vx_false_e, vx_true_e, vx_true_e, vx_false_e};
-        vxReplicateNode(graph, ldcObj->node, replicate, 9);
-
     }
     else
     {
@@ -293,6 +285,13 @@ vx_status app_create_graph_ldc(vx_graph graph, LDCObj *ldcObj, vx_object_array i
                                     output_img, NULL);
     }
 
+    status = vxGetStatus((vx_reference)ldcObj->node);
+    vxSetNodeTarget(ldcObj->node, VX_TARGET_STRING, TIVX_TARGET_VPAC_LDC1);
+    vxSetReferenceName((vx_reference)ldcObj->node, "ldc_node");
+
+    vx_bool replicate[] = { vx_false_e, vx_false_e, vx_false_e, vx_false_e, vx_false_e, vx_false_e, vx_true_e, vx_true_e, vx_false_e};
+    vxReplicateNode(graph, ldcObj->node, replicate, 9);
+
 
     vxReleaseImage(&input_img);
     vxReleaseImage(&output_img);
-- 
2.17.1

